## denemo 1.1.8

=== docs/images/Makefile ===
# Makefile.in generated by automake 1.14 from Makefile.am.
# docs/images/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgincludedir = $(includedir)/denemo
pkglibdir = $(libdir)/denemo
pkglibexecdir = $(libexecdir)/denemo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = docs/images
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/mkinstalldirs $(dist_image_DATA)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build/as-compiler-flag.m4 \
	$(top_srcdir)/build/binreloc.m4 $(top_srcdir)/build/gcov.m4 \
	$(top_srcdir)/build/gettext.m4 \
	$(top_srcdir)/build/glibtests.m4 \
	$(top_srcdir)/build/gtk-doc.m4 $(top_srcdir)/build/iconv.m4 \
	$(top_srcdir)/build/lib-ld.m4 $(top_srcdir)/build/lib-link.m4 \
	$(top_srcdir)/build/lib-prefix.m4 $(top_srcdir)/build/nls.m4 \
	$(top_srcdir)/build/po.m4 $(top_srcdir)/build/progtest.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(imagedir)"
DATA = $(dist_image_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkgdatadir = ${datarootdir}/denemo
ACLOCAL = ${SHELL} /home/jjbenham/src/denemo-release/denemo/missing aclocal-1.14
ALL_LINGUAS = 
ALSA_CFLAGS = 
ALSA_LIBS = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/jjbenham/src/denemo-release/denemo/missing autoconf
AUTOHEADER = ${SHELL} /home/jjbenham/src/denemo-release/denemo/missing autoheader
AUTOMAKE = ${SHELL} /home/jjbenham/src/denemo-release/denemo/missing automake-1.14
AWK = gawk
BINRELOC_CFLAGS = 
BINRELOC_LIBS = 
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -I/usr/include/guile/2.0    -D_WITH_AUBIO_4_ -I/usr/include/aubio   -D_WITH_AUBIO_3_ -I/usr/include/libxml2   -pthread -I/usr/include/librsvg-2.0 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/cairo -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/freetype2     -pthread -lgthread-2.0 -lrt -lglib-2.0   -lsndfile   -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include   -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12   -pthread -I/usr/include/gtksourceview-3.0 -I/usr/include/libxml2 -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12   -pthread -I/usr/include/gtk-3.0 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/evince/3.0   -DUSE_EVINCE -D_HAVE_FLUIDSYNTH_   -D_HAVE_RUBBERBAND_   -D_HAVE_PORTAUDIO_ -pthread     -D_HAVE_PORTMIDI_ -D_HAVE_X11_
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EVINCE_2_0_CFLAGS = 
EVINCE_2_0_LIBS = 
EVINCE_2_30_CFLAGS = 
EVINCE_2_30_LIBS = 
EVINCE_2_32_CFLAGS = 
EVINCE_2_32_LIBS = 
EVINCE_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/evince/3.0  
EVINCE_LIBS = -pthread -levview3 -levdocument3 -lgthread-2.0 -lrt -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
EXEEXT = 
FFTW_CFLAGS =  
FFTW_LIBS = -lfftw3 -lm  
FGREP = /bin/grep -F
FLUIDSYNTH_CFLAGS =  
FLUIDSYNTH_LIBS = -lfluidsynth  
FONTCONFIG_CFLAGS =  
FONTCONFIG_LIBS = -lfontconfig  
GETTEXT_PACKAGE = denemo
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lrt -lglib-2.0  
GTK2_CFLAGS = 
GTK2_LIBS = 
GTK3_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12  
GTK3_LIBS = -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
GTKDOC_CHECK = /usr/bin/gtkdoc-check
GTKDOC_DEPS_CFLAGS = 
GTKDOC_DEPS_LIBS = 
GTKDOC_MKPDF = /usr/bin/gtkdoc-mkpdf
GTKDOC_REBASE = /usr/bin/gtkdoc-rebase
GTKSOURCEVIEW_CFLAGS = -pthread -I/usr/include/gtksourceview-3.0 -I/usr/include/libxml2 -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12  
GTKSOURCEVIEW_LIBS = -lgtksourceview-3.0 -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
GUILE = /usr/bin/guile
GUILE_1_8_CFLAGS = 
GUILE_1_8_LIBS = 
GUILE_2_CFLAGS = -pthread -I/usr/include/guile/2.0  
GUILE_2_LIBS = -lguile-2.0 -lgc  
GUILE_CFLAGS = -pthread -I/usr/include/guile/2.0  
GUILE_CONFIG = /usr/bin/guile-config
GUILE_LDFLAGS = -lguile-2.0 -lgc  
GUILE_LIBS = -lguile-2.0 -lgc   
GUILE_LTLIBS = -lguile-2.0 -lgc   
GUILE_TOOLS = /usr/bin/guile-tools
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MERGE_0 = @echo "  ITMRG " $@;
JACK_CFLAGS = 
JACK_LIBS = 
LD = /usr/bin/ld
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBAUBIO_3_CFLAGS = -I/usr/include/aubio  
LIBAUBIO_3_LIBS = -laubio  
LIBAUBIO_4_CFLAGS = 
LIBAUBIO_4_LIBS = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS =

=== debian/changelog ===
denemo (1.1.8-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix_desktop.diff: Add MIME types.
  * Delete ubuntuize.diff, as it is no longer applicable.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 07 Nov 2014 14:03:31 -0500

denemo (1.1.8-2) unstable; urgency=medium

  * Patches added in order fix the zoom value in multiple example
    files. This was causing a failure in the integration tests:
    - GraceLilyPondBugWorkaround.diff
    - ChordDiagrams.diff
    - TemperamentShiftingPlayback.diff
  * debian/rules
    - dh_auto_test is now disabled in some architectures:
      + hurd-i386, and ppc64el: lilypond is not available and
        is required for the tests.
      + s390x the binary is not properly executed without full
        installation which is preventing the tests from proper
        execution in this architecture.
    - GUILE_AUTO_COMPILE variable added in order to disable the guile
      auto-compilation during the tests execution.
  * debian/control
    - lilypond build dependency is now disabled for s390x, hurd-i386, and
      ppc64el because it is only used during the integration tests.
    - Standards updated to 3.9.6, no changes required.
  * debian/copyright:
    - Short names for the small permissive licenses added.
    - Paths updated.
    - Copyright for libs/libsffile added.

 -- Josue Abarca <jmaslibre@debian.org>  Sun, 28 Sep 2014 21:47:13 -0600

denemo (1.1.8-1) unstable; urgency=medium

  * Imported Upstream version 1.1.8
  * remove_conflict_file.diff patch removed. This was fixed upstream.
  * help.c.diff patch updated.
  * Makefile.am.diff patch updated.
  * configure.in.diff patch updated.
  * add_format_arguments.diff patch removed. This was fixed upstream.
  * remove_sh_extension.diff patch removed. This was fixed upstream.
  * shebang.diff patch updated.
  * Fix-test-for-aubio-4.patch removed. Fixed upstream.
  * update_aubio.diff patch removed. Fixed upstream.
  * debian/rules:
    - get-orig-source target removed, we are now using the released
      tarball.
    - Set VERBOSE=1 in order to get failing tests' stdout/err so we have
      some information when a build fails.
    - XDG_RUNTIME_DIR variable was added, a temporal directory is now
      created, and his permissions are configured accordingly to the XDG
      Base Directory Specification in order to run the upstream tests as
      part of the build process.
    - A new condition to disable portmidi on non-linux architectures was
      added.
  * fonts_path.diff patch added in order to change the path where denemo
    looks for the fonts in a Debian system.
  * tests_common.diff patch added in order to use the full path to the
    binary during the tests.
  * debian/docs Removed the README file, because it was dropped by
    upstream.
  * debian/control
    - build-dependency libportmidi-dev is now only for linux-any.
    - Replaced gtk+ with GTK+ in the packages descriptions and synopsis.
    - Build dependency changed from guile-1.8 to guile-2.0
      (Closes: 746005).

 -- Josue Abarca <jmaslibre@debian.org>  Mon, 08 Sep 2014 19:32:52 -0600

=== debian/control ===
Source: denemo
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josue Abarca <jmaslibre@debian.org>
Build-Depends: debhelper (>= 9), guile-2.0-dev, gtk-doc-tools,
 libaubio-dev, portaudio19-dev, libfftw3-dev, libgtk-3-dev, libsndfile1-dev,
 libxml2-dev, libsamplerate0-dev, automake, libtool,
 libgtksourceview-3.0-dev, libfluidsynth-dev, autoconf, librubberband-dev,
 libsmf-dev (>= 1.3), autopoint, librsvg2-dev, dh-autoreconf,
 libevince-dev, libportmidi-dev [linux-any], intltool,
 lilypond [!s390x !hurd-i386 !ppc64el]
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/denemo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/denemo.git
Homepage: http://www.denemo.org

Package: denemo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, denemo-data (= ${source:Version}), ttf-denemo (= ${source:Version})
Recommends: denemo-doc (= ${source:Version}), lilypond, alsa
Description: GTK+ front end to GNU Lilypond
 GNU Denemo is a GUI musical score editor written in C/GTK+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.

Package: denemo-data
Architecture: all
Depends: ${misc:Depends}
Replaces: denemo (<< 0.8.12)
Breaks: denemo (<< 0.8.12)
Description: data for denemo
 GNU Denemo is a GUI musical score editor written in C/GTK+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the arch-independent files.

Package: denemo-doc
Architecture: all
Depends: ${misc:Depends}
Replaces: denemo (<< 0.8.12)
Breaks: denemo (<< 0.8.12)
Section: doc
Description: documentation and examples for denemo
 GNU Denemo is a GUI musical score editor written in C/GTK+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the HTML documentation and examples.

Package: ttf-denemo
Architecture: all
Depends: ${misc:Depends}
Replaces: denemo (<< 0.8.12)
Breaks: denemo (<< 0.8.12)
Section: fonts
Description: music notation symbol fonts for denemo
 GNU Denemo is a GUI musical score editor written in C/GTK+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the Music Notation Symbol Fonts.

## denemo 2.0.2

=== debian/changelog ===
denemo (2.0.2-1) unstable; urgency=medium

  * Imported Upstream version 2.0.2
  * Set myself as maintainer with consent from Josue
    - Acknowledge my previous NMU
  * Update Vcs-* URLs
  * Remove patches which have been applied upstream
  * Refresh other patches
  * Update d/copyright
  * Correctly remove obsolete conffile
  * Update d/watch
  * Install examples in the expected location

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 12 Feb 2016 22:54:02 +0100

denemo (2.0.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 2.0.0 (Closes: #803002)
  * Refresh patches
  * Add patch to fix failing testsuite. (Closes: #802064)
  * Add patch to fix automake warnings
  * Remove Replaces: and Breaks: for ancient versions no longer in oldstable
  * Add patch to add MimeType handling to .desktop file.
    Thanks to Logan Rosen <logan@ubuntu.com> (Closes: #768491)
  * Add patch to fix italian translation.
    Thanks to Pietro Battiston <me@pietrobattiston.it> (Closes: #773264)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 17 Jan 2016 14:02:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: denemo
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josue Abarca <jmaslibre@debian.org>
+Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper (>= 9), guile-2.0-dev, gtk-doc-tools,
  libaubio-dev, portaudio19-dev, libfftw3-dev, libgtk-3-dev, libsndfile1-dev,
  libxml2-dev, libsamplerate0-dev, automake, libtool,
@@ -11,9 +10,9 @@
  libevince-dev, libportmidi-dev [linux-any], intltool,
  lilypond [!s390x !hurd-i386 !ppc64el]
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/denemo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/denemo.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/denemo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/denemo.git
 Homepage: http://www.denemo.org
 
 Package: denemo
@@ -28,8 +27,6 @@
 Package: denemo-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: denemo (<< 0.8.12)
-Breaks: denemo (<< 0.8.12)
 Description: data for denemo
  GNU Denemo is a GUI musical score editor written in C/GTK+. It is
  intended primarily as a front end to GNU Lilypond, but is adaptable to
@@ -40,8 +37,6 @@
 Package: denemo-doc
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: denemo (<< 0.8.12)
-Breaks: denemo (<< 0.8.12)
 Section: doc
 Description: documentation and examples for denemo
  GNU Denemo is a GUI musical score editor written in C/GTK+. It is
@@ -53,8 +48,6 @@
 Package: ttf-denemo
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: denemo (<< 0.8.12)
-Breaks: denemo (<< 0.8.12)
 Section: fonts
 Description: music notation symbol fonts for denemo
  GNU Denemo is a GUI musical score editor written in C/GTK+. It is

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifneq ($(DEB_HOST_ARCH_OS),linux)
TMPCONF_OPTS= --enable-portmidi=no
else
TMPCONF_OPTS= --enable-portmidi=yes
endif

%:
	dh $@ --with autoreconf

TMPHOME := $(shell mktemp --tmpdir --directory denemo-build.XXXXXXXXXX)
export XDG_RUNTIME_DIR=$(TMPHOME)/xdg-rundir

override_dh_autoreconf:
	dh_autoreconf
	intltoolize --copy --force --automake

override_dh_auto_configure:
	dh_auto_configure -- $(TMPCONF_OPTS)

override_dh_auto_test:
ifneq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),s390x hurd-i386 ppc64el))
	mkdir -p $(TMPHOME)/xdg-runtime-dir
	chmod 0700 $(TMPHOME)/xdg-runtime-dir
	GUILE_AUTO_COMPILE=0 VERBOSE=1 dh_auto_test
endif
	rm -rf $(TMPHOME)

=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.asc/,pasv" \
https://ftp.gnu.org/gnu/denemo/ \
(?:|.*/)denemo(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## denemo 2.0.8

=== debian/changelog ===
denemo (2.0.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 02 Jul 2016 16:29:30 +0200

denemo (2.0.8-1) unstable; urgency=medium

  * Imported Upstream version 2.0.8
  * Refresh patches
  * Add correct search path for soundfonts.
    Thanks to Dhionel Díaz <ddiaz@cenditel.gob.ve> (Closes: #823972)
  * Update Standards-Version to 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 12 May 2016 18:17:32 +0200

denemo (2.0.6-1) unstable; urgency=medium

  * Imported Upstream version 2.0.6
  * Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 15 Apr 2016 21:13:43 +0200

denemo (2.0.4-1) unstable; urgency=medium

  * Imported Upstream version 2.0.4
  * Update patches
  * Add patch to install soundfont into usual directory.
    Thanks to Dmitry Eremin-Solenikov <dbaryshkov@gmail.com> (Closes: #817228)
  * Enable all hardening features

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 09 Mar 2016 18:09:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libevince-dev, libportmidi-dev [linux-any], intltool,
  lilypond [!s390x !hurd-i386 !ppc64el]
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/denemo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/denemo.git
 Homepage: http://www.denemo.org

## denemo 2.0.14

=== debian/changelog ===
denemo (2.0.14-2) unstable; urgency=medium

  * Partly revert commit be98dc7.
    The tests still fail on s390x and hurd-i386, so skip them for now.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 01 Feb 2017 17:11:24 +0100

denemo (2.0.14-1) unstable; urgency=medium

  * New upstream version 2.0.14.
    Among all the improvements, the most notable is most likely the
    new tooltip system that no longer plasters the screen with
    multiple tooltips which block the user from reaching the actual
    interface.  According to upstream author Richard Shann:
       "We have been plagued for some time by changes to Gtk which have
        made tooltips unusable in some builds.
        I've implemented a new tooltip system that won't be affected
        by what Gtk does with its tooltips in future. It works
        somewhat differently (unfortunately): you need to move the
        mouse over the item for the tooltip to pop up. The tooltip
        can be dismissed either by quitting it or by clicking -
        it won't reappear for the same item unless you first move
        off the item and return. So in practice a shake of the mouse
        will remove the tooltip, (in and out of the tip).
        But, best of all the speed with which they pop-up is once again
        controllable."
  * Modify debian/watch to check PGP signature in .sig file.
    Upstream uses .tar.gz.sig rather than .tar.gz.asc for their
    PGP signature files.
  * Add myself to the list of Uploaders.
  * Remove exceptions for s390x, hurd-i386 and ppc64el.
    lilypond, since 2.18.2-7, builds correctly in all these three
    architectures, so we no longer need to skip tests for them.

 -- Anthony Fok <foka@debian.org>  Tue, 31 Jan 2017 10:38:10 -0700

denemo (2.0.10-1) UNRELEASED; urgency=medium

  * Imported Upstream version 2.0.10
    - Drop patch for Makefiles, applied upstream
    - Drop patch for zoom correction, applied upstream
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 15 Jul 2016 17:02:57 +0200

## denemo 2.1

=== debian/changelog ===
denemo (2.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 25 Mar 2017 18:06:45 +0100

denemo (2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.1
  * Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 25 Mar 2017 17:53:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: sound
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Uploaders: Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9), guile-2.0-dev, gtk-doc-tools,
  libaubio-dev, portaudio19-dev, libfftw3-dev, libgtk-3-dev, libsndfile1-dev,
  libxml2-dev, libsamplerate0-dev, automake, libtool,
  libgtksourceview-3.0-dev, libfluidsynth-dev, autoconf, librubberband-dev,
  libsmf-dev (>= 1.3), autopoint, librsvg2-dev, dh-autoreconf,
  libevince-dev, libportmidi-dev [linux-any], intltool,
- lilypond [!s390x !hurd-i386 !ppc64el]
+ lilypond
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/denemo.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+# Use all hardening features
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 TMPCONF_OPTS= --enable-portmidi=no
@@ -21,7 +24,7 @@
 	dh_auto_configure -- $(TMPCONF_OPTS)
 
 override_dh_auto_test:
-ifneq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),s390x hurd-i386 ppc64el))
+ifneq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),s390x hurd-i386))
 	mkdir -p $(TMPHOME)/xdg-runtime-dir
 	chmod 0700 $(TMPHOME)/xdg-runtime-dir
 	GUILE_AUTO_COMPILE=0 VERBOSE=1 dh_auto_test

## denemo 2.2.0

=== debian/changelog ===
denemo (2.2.0-1build2) focal; urgency=medium

  * Rebuild against new libfluidsynth2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Dec 2019 12:18:26 +0100

denemo (2.2.0-1build1) bionic; urgency=medium

  * No-change rebuild for rubberband library name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Nov 2017 21:53:51 +0000

denemo (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Refresh patches
  * Avoid linking with unneeded libs

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 29 Jul 2017 12:46:15 +0200

denemo (2.1-2) unstable; urgency=medium

  * Use debhelper v10
    - Remove dh-autoreconf, this is now called by default in debhelper v10
    - Add --no-parallel, the package FTBFS otherwise
  * Update Standards-Version to 4.0.0
    - Update d/copyright, use HTTPS URL
  * Define DEB_HOST_ARCH with dpkg-architecture
  * Add Multi-Arch: foreign to arch:all packages

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 05 Jul 2017 16:35:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Use all hardening features
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# Avoid linking with unneeded libs
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 TMPCONF_OPTS= --enable-portmidi=no
@@ -11,7 +16,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --no-parallel
 
 TMPHOME := $(shell mktemp --tmpdir --directory denemo-build.XXXXXXXXXX)
 export XDG_RUNTIME_DIR=$(TMPHOME)/xdg-rundir
@@ -24,7 +29,7 @@
 	dh_auto_configure -- $(TMPCONF_OPTS)
 
 override_dh_auto_test:
-ifneq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),s390x hurd-i386))
+ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),s390x hurd-i386))
 	mkdir -p $(TMPHOME)/xdg-runtime-dir
 	chmod 0700 $(TMPHOME)/xdg-runtime-dir
 	GUILE_AUTO_COMPILE=0 VERBOSE=1 dh_auto_test

=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.sig/,pasv" \
https://ftp.gnu.org/gnu/denemo/ \
(?:|.*/)denemo(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## denemo 2.4.0

=== debian/changelog ===
denemo (2.4.0-2) unstable; urgency=medium

  * Fix FTBFS in 2.4.0-1 by bumping debhelper-compat to level 13
    which provides writable HOME and XDG_RUNTIME_DIR directories
    which are needed for calls to denemo in integration and unit tests.
    Previous tweak for XDG_RUNTIME_DIR is thus removed from debian/rules.
  * Fix fail-missing errors detected by dh_missing

 -- Anthony Fok <foka@debian.org>  Mon, 16 Nov 2020 04:11:55 -0700

denemo (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0 (Closes: #966867)
  * Remove debian/patches/0008-Support-Guile-2.2.patch
    as it has been applied upstream, see
    https://git.savannah.gnu.org/cgit/denemo.git/commit/?id=9c6ad2d
  * Refresh Debian patches

 -- Anthony Fok <foka@debian.org>  Mon, 16 Nov 2020 01:26:56 -0700

denemo (2.2.0-2) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Switch Vcs-URLs to salsa.d.o

  [ Anthony Fok ]
  * Add debian/patches/0008-Support-Guile-2.2.patch
    so that configure can detect guile-2.2 too
  * debian/control: Build-Depends on guile-2.2-dev
    instead of guile-2.0-dev (Closes: #885190)
  * Run wrap-and-sort -a
  * Apply "cme fix dpkg" fixes:
    - Organize debian/control fields
    - Use "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.5.0 (no change)
  * Set debian-branch to debian/master for DEP-14 conformance
  * Update debian/watch to version=4
  * Fix Lintian error doc-base-file-references-missing-file
    in debian/denemo-doc.doc-base

 -- Anthony Fok <foka@debian.org>  Fri, 06 Mar 2020 21:08:40 -0700

=== debian/control ===
Source: denemo
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: sound
Priority: optional
Build-Depends: autoconf,
               automake,
               autopoint,
               debhelper-compat (= 13),
               gtk-doc-tools,
               guile-2.2-dev,
               intltool,
               libaubio-dev,
               libevince-dev,
               libfftw3-dev,
               libfluidsynth-dev,
               libgtk-3-dev,
               libgtksourceview-3.0-dev,
               libportmidi-dev [linux-any],
               librsvg2-dev,
               librubberband-dev,
               libsamplerate0-dev,
               libsmf-dev,
               libsndfile1-dev,
               libtool,
               libxml2-dev,
               lilypond,
               portaudio19-dev
Build-Conflicts: autoconf2.13,
                 automake1.4
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/denemo
Vcs-Git: https://salsa.debian.org/debian/denemo.git
Homepage: http://www.denemo.org

Package: denemo
Architecture: any
Depends: denemo-data (= ${source:Version}),
         ttf-denemo (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: alsa,
            denemo-doc (= ${source:Version}),
            lilypond
Description: GTK+ front end to GNU Lilypond
 GNU Denemo is a GUI musical score editor written in C/GTK+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.

Package: denemo-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data for denemo
 GNU Denemo is a GUI musical score editor written in C/GTK+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the arch-independent files.

Package: denemo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation and examples for denemo
 GNU Denemo is a GUI musical score editor written in C/GTK+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the HTML documentation and examples.

Package: ttf-denemo
Architecture: all
Multi-Arch: foreign
Section: fonts
Depends: ${misc:Depends}
Description: music notation symbol fonts for denemo
 GNU Denemo is a GUI musical score editor written in C/GTK+. It is
 intended primarily as a front end to GNU Lilypond, but is adaptable to
 other computer-music-related purposes as well.
 .
 This package contains the Music Notation Symbol Fonts.

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,6 @@
 %:
 	dh $@ --no-parallel
 
-TMPHOME := $(shell mktemp --tmpdir --directory denemo-build.XXXXXXXXXX)
-export XDG_RUNTIME_DIR=$(TMPHOME)/xdg-rundir
-
 override_dh_autoreconf:
 	dh_autoreconf
 	intltoolize --copy --force --automake
@@ -30,8 +27,5 @@
 
 override_dh_auto_test:
 ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),s390x hurd-i386))
-	mkdir -p $(TMPHOME)/xdg-runtime-dir
-	chmod 0700 $(TMPHOME)/xdg-runtime-dir
 	GUILE_AUTO_COMPILE=0 VERBOSE=1 dh_auto_test
 endif
-	rm -rf $(TMPHOME)

## denemo 2.5~rc1

=== debian/changelog ===
denemo (2.5~rc1-2) unstable; urgency=medium

  * Fix "Not a markup command" error in simplified-book-titling.ily
    with LilyPond 2.22.0 compiled with Guile 2.2;
    see 0008-fix-markup-command-error-lilypond-2-22-guile-2.patch
    and https://savannah.gnu.org/bugs/index.php?59986

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 17:19:54 -0700

denemo (2.5~rc1-1) unstable; urgency=medium

  * New upstream release candidate 2.5~rc1
  * Refresh Debian patches

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 13:58:10 -0700

denemo (2.4.0-4) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Sat, 19 Dec 2020 07:00:48 -0700

denemo (2.4.0-3) unstable; urgency=medium

  * Rename binary package ttf-denemo to fonts-denemo
  * debian/control:
    - Remove "Recommends: alsa" as the package no longer exists
    - Update package descriptions with that from denemo.org, focusing more on
      user experience rather than what language or toolkit it is written in
    - Bump Standards-Version to 4.5.1 (no change)
  * debian/rules:
    - Fix Lintian debian-rules-sets-dpkg-architecture-variable warning
    - Apply --no-parallel to only dh_auto_test rather than globally
  * debian/tests/*: Add DEP-8 autopkgtest infrastructure, running shUnit2
    "integration" and "unit" tests modelled after upstream tests
  * debian/copyright: Correct and update to latest information:
    - Fix Denemo’s license, which is GPL-3+, not GPL-3 (GPL-3.0-only)
    - Add email address of main upstream author Richard Shann
    - Remove entry on src/core/http.c which was removed upstream
    - Use SPDX IDs FSFUL and FSFULLR for configure and aclocal.m4 respectively
    - Add past and present Debian maintainers of this package

 -- Anthony Fok <foka@debian.org>  Mon, 14 Dec 2020 22:38:33 -0700

## denemo 2.5.0

=== debian/changelog ===
denemo (2.5.0-1build1) jammy; urgency=medium

  * No-change rebuild against libfluidsynth3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 03:15:53 +0000

denemo (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Remove 0008-fix-markup-command-error-lilypond-2-22-guile-2.patch
    which has been applied upstream.

 -- Anthony Fok <foka@debian.org>  Wed, 03 Mar 2021 18:33:26 -0700

=== debian/control ===
Source: denemo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: sound
Priority: optional
Build-Depends: autoconf,
               automake,
               autopoint,
               debhelper-compat (= 13),
               gtk-doc-tools,
               guile-2.2-dev,
               intltool,
               libaubio-dev,
               libevince-dev,
               libfftw3-dev,
               libfluidsynth-dev,
               libgtk-3-dev,
               libgtksourceview-3.0-dev,
               libportmidi-dev [linux-any],
               librsvg2-dev,
               librubberband-dev,
               libsamplerate0-dev,
               libsmf-dev,
               libsndfile1-dev,
               libtool,
               libxml2-dev,
               lilypond,
               portaudio19-dev
Build-Conflicts: autoconf2.13,
                 automake1.4
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/denemo
Vcs-Git: https://salsa.debian.org/debian/denemo.git
Homepage: http://www.denemo.org

Package: denemo
Architecture: any
Depends: denemo-data (= ${source:Version}),
         fonts-denemo (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: denemo-doc (= ${source:Version}),
            lilypond
Description: free graphical music notation editor (GTK front end to LilyPond)
 Denemo is a free music notation program GUI for GNU/Linux, macOS and Windows
 that lets you rapidly enter notation which it typesets using the LilyPond
 music engraver.  Music can be typed in at the PC keyboard, or played in
 via MIDI controller, or input acoustically into a microphone plugged into
 your computer’s soundcard.
 .
 Denemo uses LilyPond which generates beautiful sheet music to the highest
 publishing standards.  During input Denemo displays the staffs in a simple
 fashion, so you can enter and edit the music efficiently.  The typesetting
 is done in the background while you work, and is generally flawless
 publication quality.  Some final tweaks can be done on the typeset score
 with the mouse if needed.  This represents an enormous practical improvement
 over the popular programs which require you to re-position colliding
 notation constantly as you enter the music.
 .
 Beginner to Professional: Denemo can be used for a brief student homework
 all the way to a full-scale opera.  Support is there for creating the
 widest range of notation – Tablature, Chord Charts, Fret Diagrams, Drums,
 transposing instruments, ossia, ottava, cue, title pages, table-of-contents,
 critical commentaries, footnotes quoting music, and more with LilyPond’s
 extensive syntax available for even more demanding uses.

Package: denemo-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data for Denemo
 Denemo is a free (GPL) graphical music notation editor that lets you
 rapidly enter notation which it typesets using the LilyPond music engraver,
 creating notation straight from your input that outshines the commercial
 competition.  You can compose, transcribe, arrange, listen to the music
 and much more.
 .
 This package contains the arch-independent files.

Package: denemo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation and examples for Denemo
 Denemo is a free (GPL) graphical music notation editor that lets you
 rapidly enter notation which it typesets using the LilyPond music engraver,
 creating notation straight from your input that outshines the commercial
 competition.  You can compose, transcribe, arrange, listen to the music
 and much more.
 .
 This package contains the HTML documentation and examples.

Package: fonts-denemo
Architecture: all
Multi-Arch: foreign
Section: fonts
Depends: ${misc:Depends}
Breaks: ttf-denemo (<< 2.4.0-3~)
Conflicts: ttf-denemo
Replaces: ttf-denemo (<< 2.4.0-3~)
Description: music notation symbol fonts for Denemo
 Denemo is a free (GPL) graphical music notation editor that lets you
 rapidly enter notation which it typesets using the LilyPond music engraver,
 creating notation straight from your input that outshines the commercial
 competition.  You can compose, transcribe, arrange, listen to the music
 and much more.
 .
 This package contains the music notation symbol fonts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use all hardening features
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Avoid linking with unneeded libs
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS),linux)
TMPCONF_OPTS= --enable-portmidi=no
else
TMPCONF_OPTS= --enable-portmidi=yes
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf
	intltoolize --copy --force --automake

override_dh_auto_configure:
	dh_auto_configure -- $(TMPCONF_OPTS)

override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),s390x hurd-i386))
	GUILE_AUTO_COMPILE=0 VERBOSE=1 dh_auto_test --no-parallel
endif

## denemo 2.6.0

=== debian/changelog ===
denemo (2.6.0-4) unstable; urgency=medium

  * Move MetaInfo file and icon file from denemo-data to denemo package
    where the executable and .desktop file reside, thanks to suggestion
    by appstream-generator.  Fixes wrong information seen in gnome-software
  * Move icon from /usr/share/pixmaps to /usr/share/icons/hicolor/64x64/apps;
    see https://wiki.debian.org/AppStream/Guidelines#Icon_best_practices

 -- Anthony Fok <foka@debian.org>  Sat, 28 Jan 2023 04:50:17 -0700

denemo (2.6.0-3) unstable; urgency=medium

  * Revert to guile-2.2-dev maximum compatibility with LilyPond 2.24.0
  * Bump Standards-Version to 4.6.2 (no change)
  * Fix Lintian error appstream-metadata-legacy-format
    in /usr/share/metainfo/org.denemo.Denemo.metainfo.xml;
    see the updated debian/patches/0010-Migrate-appdata-to-metainfo.patch

 -- Anthony Fok <foka@debian.org>  Sat, 28 Jan 2023 00:23:36 -0700

denemo (2.6.0-2) unstable; urgency=medium

  * Add support for Guile 3.0 and build with guile-3.0-dev (Closes: #969679)

 -- Anthony Fok <foka@debian.org>  Tue, 21 Jun 2022 02:42:42 -0600

denemo (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Reorder fields in debian/control and debian/copyright
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.6.1 (no change)
  * Fix the directory to the Denemo manual: debhelper compatibility
    level v11 and above installs documentation to /usr/share/doc/denemo
    rather than /usr/share/doc/denemo-doc in v10 to better comply with
    Debian Policy, but I overlooked this when I switched from debhelper
    v10 to v2 in denemo 2.2.0-2 in March 2020, and "Help | Browse Manual"
    must have stopped working since.  Thanks to Nate Bargmann for the
    heads-up and helpful suggested fix!  (Closes: #1010635)
  * Use xdg-open instead of firefox as default browser
  * Fix application icon under Wayland using g_set_prgname.
    See https://savannah.gnu.org/bugs/index.php?62651
  * Fix Lintian denemo-data: appstream-metadata-in-legacy-location
    but the appstream-metadata-legacy-format error remains.
    See https://savannah.gnu.org/bugs/index.php?62652
  * Fix Chinese (simplified) translation and add Chinese (traditional) too
  * Make paths in debian/*.install more flexible to handle the
    "denemo" to "org.denemo.Denemo" and "appdata" to "metainfo" renames
  * Replace override_dh_autoreconf with execute_after_dh_autoreconf
    in debian/rules
  * Fix "denemo source: superfluous-file-pattern src/export/screenshot*"
    Lintian warning

 -- Anthony Fok <foka@debian.org>  Mon, 20 Jun 2022 04:00:46 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: denemo
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Uploaders: Anthony Fok <foka@debian.org>
 Section: sound
 Priority: optional
+Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Uploaders: Anthony Fok <foka@debian.org>
+Rules-Requires-Root: no
 Build-Depends: autoconf,
                automake,
                autopoint,
@@ -29,7 +29,7 @@
                portaudio19-dev
 Build-Conflicts: autoconf2.13,
                  automake1.4
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/denemo
 Vcs-Git: https://salsa.debian.org/debian/denemo.git
 Homepage: http://www.denemo.org
@@ -42,6 +42,8 @@
          ${shlibs:Depends}
 Recommends: denemo-doc (= ${source:Version}),
             lilypond
+Breaks: denemo-data (<< 2.6.0-4~)
+Replaces: denemo-data (<< 2.6.0-4~)
 Description: free graphical music notation editor (GTK front end to LilyPond)
  Denemo is a free music notation program GUI for GNU/Linux, macOS and Windows
  that lets you rapidly enter notation which it typesets using the LilyPond
@@ -69,6 +71,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: denemo (<< 2.6.0-4~)
 Description: data for Denemo
  Denemo is a free (GPL) graphical music notation editor that lets you
  rapidly enter notation which it typesets using the LilyPond music engraver,

## denemo 2.6.18

=== debian/changelog ===
denemo (2.6.18-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:19 +1100

denemo (2.6.18-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:30:19 +0000

denemo (2.6.18-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:12:39 +0000

denemo (2.6.18-1) unstable; urgency=medium

  * New upstream version 2.6.18
  * Add to debian/missing-sources denemomanual.lyx for denemo-manual.html
    and speedykeymap.xml for speedykemap.html

 -- Anthony Fok <foka@debian.org>  Mon, 27 Feb 2023 09:11:26 -0700

denemo (2.6.16-1) unstable; urgency=medium

  * New upstream version 2.6.16
  * Remove old patches for Italian and Chinese translations
  * Remove 0009-Fix-missing-app-icon-on-Wayland.patch
    which was merged upstream in 2.6.9
  * Bump Build-Depends/Recommends of lilypond to >= 2.24.1

 -- Anthony Fok <foka@debian.org>  Sun, 26 Feb 2023 07:12:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: denemo
 Section: sound
 Priority: optional
-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: autoconf,
@@ -25,7 +26,7 @@
                libsndfile1-dev,
                libtool,
                libxml2-dev,
-               lilypond,
+               lilypond (>= 2.24.1),
                portaudio19-dev
 Build-Conflicts: autoconf2.13,
                  automake1.4
@@ -41,7 +42,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: denemo-doc (= ${source:Version}),
-            lilypond
+            lilypond (>= 2.24.1)
 Breaks: denemo-data (<< 2.6.0-4~)
 Replaces: denemo-data (<< 2.6.0-4~)
 Description: free graphical music notation editor (GTK front end to LilyPond)

=== debian/watch ===
version=4
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/,pgpmode=auto,pasv" \
  https://ftp.gnu.org/gnu/denemo/ \
  (?:|.*/)denemo(?:[_\-]v?|)(\d[^\s/]*)@ARCHIVE_EXT@
